package com.ruoyi.project.training.spec.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 继任者年度评分对象 t_st_successor_score
 *
 * @author ruoyi
 * @date 2022-05-17
 */
public class TStSuccessorScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 培训员工编号 */
    @Excel(name = "培训员工编号")
    private String staffId;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 一季度 */
    @Excel(name = "一季度")
    private String quarterOne;

    /** 二季度 */
    @Excel(name = "二季度")
    private String quarterTwo;

    /** 三季度 */
    @Excel(name = "三季度")
    private String quarterThree;

    /** 四季度 */
    @Excel(name = "四季度")
    private String quarterFour;

    /** 年度 */
    @Excel(name = "年度")
    private String year;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setStaffId(String staffId)
    {
        this.staffId = staffId;
    }

    public String getStaffId()
    {
        return staffId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setQuarterOne(String quarterOne)
    {
        this.quarterOne = quarterOne;
    }

    public String getQuarterOne()
    {
        return quarterOne;
    }
    public void setQuarterTwo(String quarterTwo)
    {
        this.quarterTwo = quarterTwo;
    }

    public String getQuarterTwo()
    {
        return quarterTwo;
    }
    public void setQuarterThree(String quarterThree)
    {
        this.quarterThree = quarterThree;
    }

    public String getQuarterThree()
    {
        return quarterThree;
    }
    public void setQuarterFour(String quarterFour)
    {
        this.quarterFour = quarterFour;
    }

    public String getQuarterFour()
    {
        return quarterFour;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("staffId", getStaffId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("quarterOne", getQuarterOne())
            .append("quarterTwo", getQuarterTwo())
            .append("quarterThree", getQuarterThree())
            .append("quarterFour", getQuarterFour())
            .append("year", getYear())
            .toString();
    }
}
